;; _-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_
;;
;;	    ____                 
;;	   / __ )____ ___________
;;	  / __  / __ `/ ___/ ___/
;;	 / /_/ / /_/ / /  (__  ) 
;;	/_____/\__,_/_/  /____/  
;;
;; Created By Aditya Shakya @adi1090x
;;
;; _-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_

[module/volume]
type = internal/alsa

; Soundcard to be used
; Usually in the format hw:# where # is the card number
; You can find the different card numbers in `/proc/asound/cards`
;;master-soundcard = default
;;speaker-soundcard = default
;;headphone-soundcard = default

; Name of the master, speaker and headphone mixers
; Use the following command to list available mixer controls:
; $ amixer scontrols | sed -nr "s/.*'([[:alnum:]]+)'.*/\1/p"
; If master, speaker or headphone-soundcard isn't the default, 
; use `amixer -c # scontrols` instead where # is the number 
; of the master, speaker or headphone soundcard respectively
;
; Default: Master
;;master-mixer = Master

; Optionally define speaker and headphone mixers
; Default: none
;;speaker-mixer = Speaker
; Default: none
;;headphone-mixer = Headphone

; NOTE: This is required if headphone_mixer is defined
; Use the following command to list available device controls
; $ amixer controls | sed -r "/CARD/\!d; s/.*=([0-9]+).*name='([^']+)'.*/printf '%3.0f: %s\n' '\1' '\2'/e" | sort
; You may also need to use `amixer -c # controls` as above for the mixer names
; Default: none
;;headphone-id = 9

; Use volume mapping (similar to amixer -M and alsamixer), where the increase in volume is linear to the ear
; Default: false
;;mapped = true

; Interval for volume increase/decrease (in percent points)
; Default: 5
;;interval = 5

; Available tags:
;   <label-volume> (default)
;   <ramp-volume>
;   <bar-volume>
format-volume = <ramp-volume> <bar-volume>

; Available tags:
;   <label-muted> (default)
;   <ramp-volume>
;   <bar-volume>
format-muted = <label-muted>

; Available tokens:
;   %percentage% (default)
label-volume = %percentage%%

; Available tokens:
;   %percentage% (default
format-muted-prefix = 
label-muted = " Muted"
label-muted-foreground = ${color.ac}

; Only applies if <ramp-volume> is used
ramp-volume-0 = 
ramp-volume-1 = 
ramp-volume-2 = 
ramp-volume-3 = 
ramp-volume-4 = 

; Only applies if <bar-volume> is used
bar-volume-width = 10
bar-volume-gradient = false

bar-volume-indicator = 
bar-volume-indicator-foreground = ${color.bi}
bar-volume-indicator-font = 2

bar-volume-fill = ━
bar-volume-foreground-0 = ${color.bn}
bar-volume-foreground-1 = ${color.bn}
bar-volume-foreground-2 = ${color.bn}
bar-volume-foreground-3 = ${color.bn}
bar-volume-foreground-4 = ${color.bm}
bar-volume-foreground-5 = ${color.bm}
bar-volume-foreground-6 = ${color.bm}
bar-volume-foreground-7 = ${color.bd}
bar-volume-foreground-8 = ${color.bd}
bar-volume-fill-font = 2

bar-volume-empty = ┉
bar-volume-empty-foreground = ${color.be}
bar-volume-empty-font = 2

; If defined, it will replace <ramp-volume> when
; headphones are plugged in to `headphone_control_numid`
; If undefined, <ramp-volume> will be used for both
; Only applies if <ramp-volume> is used
ramp-headphones-0 = 
ramp-headphones-1 = 

;; _-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_

[module/brightness]
type = internal/xbacklight

; Use the following command to list available cards:
; $ ls -1 /sys/class/backlight/
card = intel_backlight

; Available tags:
;   <label> (default)
;   <ramp>
;   <bar>
format = <ramp> <bar>

; Available tokens:
;   %percentage% (default)
label = %percentage%%

; Only applies if <ramp> is used

ramp-0 = 
ramp-1 = 
ramp-2 = 
ramp-3 = 
ramp-4 = 

;; Other Icons
;

; Only applies if <bar> is used
bar-width = 10
bar-gradient = false

bar-indicator = 
bar-indicator-foreground = ${color.bi}
bar-indicator-font = 2

bar-fill = ━
bar-foreground-0 = ${color.bn}
bar-foreground-1 = ${color.bn}
bar-foreground-2 = ${color.bn}
bar-foreground-3 = ${color.bm}
bar-foreground-4 = ${color.bm}
bar-foreground-5 = ${color.bd}
bar-foreground-6 = ${color.bd}
bar-foreground-7 = ${color.bd}
bar-foreground-8 = ${color.bd}
bar-fill-font = 2

bar-empty = ┉
bar-empty-foreground = ${color.be}
bar-empty-font = 2

;; _-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_

[module/battery_bar]
type = internal/battery

; This is useful in case the battery never reports 100% charge
full-at = 99

; Use the following command to list batteries and adapters:
; $ ls -1 /sys/class/power_supply/
battery = BAT1
adapter = ACAD

; If an inotify event haven't been reported in this many
; seconds, manually poll for new values.
;
; Needed as a fallback for systems that don't report events
; on sysfs/procfs.
;
; Disable polling by setting the interval to 0.
;
; Default: 5
poll-interval = 2

; see "man date" for details on how to format the time string
; NOTE: if you want to use syntax tags here you need to use %%{...}
; Default: %H:%M:%S
time-format = %H:%M

; Available tags:
;   <label-charging> (default)
;   <bar-capacity>
;   <ramp-capacity>
;   <animation-charging>
format-charging = <bar-capacity>
format-charging-prefix = " "

; Available tags:
;   <label-discharging> (default)
;   <bar-capacity>
;   <ramp-capacity>
;   <animation-discharging>
format-discharging = <bar-capacity>
format-discharging-prefix = " "

; Available tags:
;   <label-full> (default)
;   <bar-capacity>
;   <ramp-capacity>
;format-full = <ramp-capacity> <label-full>

; Available tokens:
;   %percentage% (default)
;   %time%
;   %consumption% (shows current charge rate in watts)

label-charging = %percentage%%

; Available tokens:
;   %percentage% (default)
;   %time%
;   %consumption% (shows current discharge rate in watts)
label-discharging = %percentage%%

; Available tokens:
;   %percentage% (default)
label-full = Fully Charged

; Only applies if <bar-capacity> is used
bar-capacity-width = 10
bar-capacity-gradient = false

bar-capacity-indicator = 
bar-capacity-indicator-foreground = ${color.bi}
bar-capacity-indicator-font = 2

bar-capacity-fill = ━
bar-capacity-foreground-0 = ${color.bd}
bar-capacity-foreground-1 = ${color.bd}
bar-capacity-foreground-2 = ${color.bd}
bar-capacity-foreground-3 = ${color.bm}
bar-capacity-foreground-4 = ${color.bm}
bar-capacity-foreground-5 = ${color.bm}
bar-capacity-foreground-6 = ${color.bm}
bar-capacity-foreground-7 = ${color.bn}
bar-capacity-foreground-8 = ${color.bn}
bar-capacity-fill-font = 2

bar-capacity-empty = ┉
bar-capacity-empty-foreground = ${color.be}
bar-capacity-empty-font = 2

; Only applies if <ramp-capacity> is used
ramp-capacity-0 = 
ramp-capacity-1 = 
ramp-capacity-2 = 
ramp-capacity-3 = 
ramp-capacity-4 = 
ramp-capacity-5 = 
ramp-capacity-6 = 
ramp-capacity-7 = 
ramp-capacity-8 = 
ramp-capacity-9 = 

; Only applies if <animation-charging> is used
animation-charging-0 = 
animation-charging-1 = 
animation-charging-2 = 
animation-charging-3 = 
animation-charging-4 = 
animation-charging-5 = 
animation-charging-6 = 
animation-charging-7 = 
animation-charging-8 = 

; Framerate in milliseconds
animation-charging-framerate = 750

; Only applies if <animation-discharging> is used
;;animation-discharging-0 = 
;;animation-discharging-1 = 
;;animation-discharging-2 = 
;;animation-discharging-3 = 
;;animation-discharging-4 = 
;;animation-discharging-5 = 
;;animation-discharging-6 = 
;;animation-discharging-7 = 
;;animation-discharging-8 = 

; Framerate in milliseconds
;animation-discharging-framerate = 500

;; _-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_

[module/cpu_bar]
type = internal/cpu

; Seconds to sleep between updates
; Default: 1
interval = 0.5

; Available tags:
;   <label> (default)
;   <bar-load>
;   <ramp-load>
;   <ramp-coreload>
;;format = <label> <ramp-coreload>
format = <bar-load> <label>
format-prefix = " "

; Available tokens:
;   %percentage% (default) - total cpu load averaged over all cores
;   %percentage-sum% - Cumulative load on all cores
;   %percentage-cores% - load percentage for each core
;   %percentage-core[1-9]% - load percentage for specific core
label = "%percentage%%"

; Only applies if <bar-load> is used
bar-load-width = 10
bar-load-gradient = false

bar-load-indicator = 
bar-load-indicator-foreground = ${color.bi}
bar-load-indicator-font = 2

bar-load-fill = ━
bar-load-foreground-0 = ${color.bn}
bar-load-foreground-1 = ${color.bn}
bar-load-foreground-2 = ${color.bn}
bar-load-foreground-3 = ${color.bm}
bar-load-foreground-4 = ${color.bm}
bar-load-foreground-5 = ${color.bm}
bar-load-foreground-6 = ${color.bd}
bar-load-foreground-7 = ${color.bd}
bar-load-foreground-8 = ${color.bd}
bar-load-fill-font = 2

bar-load-empty = ┉
bar-load-empty-foreground = ${color.be}
bar-load-empty-font = 2

;; _-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_

[module/filesystem_bar]
type = internal/fs

; Mountpoints to display
mount-0 = /
;;mount-1 = /home
;;mount-2 = /var

; Seconds to sleep between updates
; Default: 30
interval = 10

; Display fixed precision values
; Default: false
fixed-values = false

; Spacing between entries
; Default: 2
;;spacing = 4

; Available tags:
;   <label-mounted> (default)
;   <bar-free>
;   <bar-used>
;   <ramp-capacity>
format-mounted = <bar-used> <label-mounted>
format-mounted-prefix = " "

; Available tags:
;   <label-unmounted> (default)
;;format-unmounted = <label-unmounted>
;;format-unmounted-prefix = 

; Available tokens:
;   %mountpoint%
;   %type%
;   %fsname%
;   %percentage_free%
;   %percentage_used%
;   %total%
;   %free%
;   %used%
; Default: %mountpoint% %percentage_free%%
label-mounted = %used%/%total%

; Available tokens:
;   %mountpoint%
; Default: %mountpoint% is not mounted
;;label-unmounted = %mountpoint%: not mounted

; Only applies if <bar-used> is used
bar-used-width = 10
bar-used-gradient = false

bar-used-indicator = 
bar-used-indicator-foreground = ${color.bi}
bar-used-indicator-font = 2

bar-used-fill = ━
bar-used-foreground-0 = ${color.bn}
bar-used-foreground-1 = ${color.bn}
bar-used-foreground-2 = ${color.bn}
bar-used-foreground-3 = ${color.bn}
bar-used-foreground-4 = ${color.bn}
bar-used-foreground-5 = ${color.bm}
bar-used-foreground-6 = ${color.bm}
bar-used-foreground-7 = ${color.bd}
bar-used-foreground-8 = ${color.bd}
bar-used-fill-font = 2

bar-used-empty = ┉
bar-used-empty-foreground = ${color.be}
bar-used-empty-font = 2

;; _-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_

[module/memory_bar]
type = internal/memory

; Seconds to sleep between updates
; Default: 1
interval = 2

; Available tags:
;   <label> (default)
;   <bar-used>
;   <bar-free>
;   <ramp-used>
;   <ramp-free>
;   <bar-swap-used>
;   <bar-swap-free>
;   <ramp-swap-used>
;   <ramp-swap-free>
format = <bar-used> <label>
format-prefix = " "

; Available tokens:
;   %percentage_used% (default)
;   %percentage_free%
;   %gb_used%
;   %gb_free%
;   %gb_total%
;   %mb_used%
;   %mb_free%
;   %mb_total%
;   %percentage_swap_used%
;   %percentage_swap_free%
;   %mb_swap_total%
;   %mb_swap_free%
;   %mb_swap_used%
;   %gb_swap_total%
;   %gb_swap_free%
;   %gb_swap_used%

label = "%mb_used%"

; Only applies if <bar-used> is used
bar-used-width = 10
bar-used-gradient = false

bar-used-indicator = 
bar-used-indicator-foreground = ${color.bi}
bar-used-indicator-font = 2

bar-used-fill = ━
bar-used-foreground-0 = ${color.bn}
bar-used-foreground-1 = ${color.bn}
bar-used-foreground-2 = ${color.bn}
bar-used-foreground-3 = ${color.bm}
bar-used-foreground-4 = ${color.bm}
bar-used-foreground-5 = ${color.bm}
bar-used-foreground-6 = ${color.bd}
bar-used-foreground-7 = ${color.bd}
bar-used-foreground-8 = ${color.bd}
bar-used-fill-font = 2

bar-used-empty = ┉
bar-used-empty-foreground = ${color.be}
bar-used-empty-font = 2

;; _-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_

[module/mpd_bar]
type = internal/mpd

; Host where mpd is running (either ip or domain name)
; Can also be the full path to a unix socket where mpd is running.
;;host = 127.0.0.1
;;port = 6600
;;password = mysecretpassword

; Seconds to sleep between progressbar/song timer sync
; Default: 1
interval = 1

; Available tags:
;   <label-song> (default)
;   <label-time>
;   <bar-progress>
;   <toggle> - gets replaced with <icon-(pause|play)>
;   <toggle-stop> - gets replaced with <icon-(stop|play)>
;   <icon-random>
;   <icon-repeat>
;   <icon-repeatone> (deprecated)
;   <icon-single> - Toggle playing only a single song. Replaces <icon-repeatone>
;   <icon-consume>
;   <icon-prev>
;   <icon-stop>
;   <icon-play>
;   <icon-pause>
;   <icon-next>
;   <icon-seekb>
;   <icon-seekf>
format-online =  <label-song> <bar-progress> <label-time> 

;format-playing = ${self.format-online}
;format-paused = ${self.format-online}
;format-stopped = ${self.format-online}

; Available tags:
;   <label-offline>
;format-offline = <label-offline>

; Available tokens:
;   %artist%
;   %album-artist%
;   %album%
;   %date%
;   %title%
; Default: %artist% - %title%
label-song =  "%title%"
label-song-maxlen = 25
label-song-ellipsis = true

; Available tokens:
;   %elapsed%
;   %total%
; Default: %elapsed% / %total%
;;abel-time = %elapsed% / %total%

; Available tokens:
;   None
label-offline = "mpd is offline"

; Only applies if <icon-X> is used
icon-play = 
icon-pause = 
icon-stop = 
icon-prev = 
icon-next = 
icon-seekb = ⏪
icon-seekf = ⏩
icon-random = 🔀
icon-repeat = 🔁
icon-repeatone = 🔂
icon-single = 🔂
icon-consume = ✀

; Used to display the state of random/repeat/repeatone/single
; Only applies if <icon-[random|repeat|repeatone|single]> is used
;;toggle-on-foreground = #ff
;;toggle-off-foreground = #55

; Only applies if <bar-progress> is used
bar-progress-width = 10
bar-progress-gradient = true

bar-progress-indicator = 
bar-progress-indicator-foreground = ${color.bi}
bar-progress-indicator-font = 2

bar-progress-fill = ━
bar-progress-foreground-0 = ${color.bn}
bar-progress-foreground-1 = ${color.bn}
bar-progress-foreground-2 = ${color.bn}
bar-progress-foreground-3 = ${color.bm}
bar-progress-foreground-4 = ${color.bm}
bar-progress-foreground-5 = ${color.bm}
bar-progress-foreground-6 = ${color.bd}
bar-progress-foreground-7 = ${color.bd}
bar-progress-foreground-8 = ${color.bd}
bar-progress-fill-font = 2

bar-progress-empty = ┉
bar-progress-empty-foreground = ${color.be}
bar-progress-empty-font = 2

;; _-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_
;;	    __________  ______
;;	   / ____/ __ \/ ____/
;;	  / __/ / / / / /_    
;;	 / /___/ /_/ / __/    
;;	/_____/\____/_/       
;;
;; _-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_
